/*All*/
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Roboto";  
}

body {
    display: flex;
    flex-wrap: wrap;
}

/*Event*/
#about-container {
    flex: 1.4;
    padding: 2em 4rem;
}

#brand {
    display: flex;
    align-items: center;
    font-size: 0.8rem;
    margin-bottom: 1rem;
}

#brand img {
    height: 50px;
    margin-right: 0.6rem;
}

#nav_menu {
    margin-left: 0.6rem;
}

#exclusive {
    text-transform: uppercase;
    color: #0075ff;
    font-weight: bold;
    font-size: 0.9rem;
    margin-bottom: 1rem;
}

#about-container h2 {
    font-size: 1.4rem;
    max-width: 500px;
    margin-bottom: 1rem;

}

#nav_menu {
    max-width: 830px;
}

#date {
    text-transform: uppercase;
    color: #aaa;
    margin-bottom: 1rem;
}

#description {
    max-width: 500px;
    margin-bottom: 1rem;
    line-height: 1.4rem;

}

#about-container h4 {
    font-size: 1.4rem;
    margin-bottom: 1rem;

}

#users-container {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;

}

.user-card {
    border: 2px solid #ccc;
    padding: 1rem;
    width: 180px;
    text-align: center;

}

.user-card img {
    width: 120px;
    border-radius: 50%;
    margin-bottom: 1rem;
}

.user-card .user-name {
    font-weight: bold;
    margin-bottom: 0.6rem;

}

.user-card .user-role {
    color: #aaa;
    font-size: 0.9rem;

}


/*Form*/
#form-container {
    flex: 1;
    background-image: url("../img/pattern.png");
    background-size: cover;
    color: #0075ff;
}

#form-inner {
    margin: 3rem;
    padding: 3rem;
    border: 2px solid #fff;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
}

#form-inner h3 {
    font-size: 2rem;
    margin-bottom: 1rem;
}

#form-inner {
    margin-bottom: 1rem;
}

#register-form {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    margin-bottom: 2rem;
}

#name-container {
    display: flex;
    gap: 0.5rem;

}

#register-form input {
    padding: 0.8rem 0.6rem;
    border: none;
    border-radius: 3px;

}

#email {
    min-width: 100%;

}

#register-form input[type="submit"] {
    background-color: transparent;
    color: #0075ff;
    border: 2px solid #0075ff;
    font-size: 1.1rem;
    font-weight: bold;
    cursor: pointer;
    transition: 0.4s;

}

#register-form input[type="submit"]:hover {
    background-color: #0075ff;
    color: #fff;
}

#benefits {
    text-align: left;
    align-self: start;

}

benefits h4 {
    font-size: 1.4rem;
    margin-bottom: 1rem;

}

#benefits ul {
    list-style-position:inside;
}

#benefits li {
    margin-bottom: 0.5rem;
}

/*responsive*/
@media(max-width: 450px) {
   body {
    flex: column;
    padding: 2rem;
    padding-bottom: 0;
   }
   #about-container h2 {
    font-size: 3rem;
   }

   #exclusive, #date {
    font-size: 1.4rem;
   }

   #description {
    font-size: 1.6rem;
    line-height: 2.2rem;
   }

   #users-container {
    flex-direction: column;
   }

   .user-card {
    width: 100%;
    padding: 2rem;
   }

   .user-card img {
    width: 180px;
   }

   .user-card .user-name {
    font-size: 1.6rem;
   }

   .user-card .user-role {
    font-size: 1.4rem;
   }

   #form-inner {
    padding: 2rem;
    margin: 2rem;
   }
   
   #register-form, #name-container {
    gap: 1rem;
   }



}

label,
input,
textarea,
button {
  display: block;
}

input,
textarea,
button {
  width: 100%;
  font: inherit;
  padding: 1.25rem;
  font-weight: 700;
}

input,
textarea {
  margin-bottom: 1rem;
  color: white;
  background: #323644;
  border: 0.125rem solid transparent;
  border-radius: 1.125rem;
  transition: border-color 0.3s, box-shadow 0.3s;
}

input:hover,
input:focus,
textarea:hover,
textarea:focus {
  outline: none;
  border-color: #1d90f5;
  box-shadow: 0 0 0 0.3125rem #26344a;
}

label {
  margin-bottom: 0.5rem;
  color: #84868f;
}

textarea {
  min-height: 12.5rem;
  resize: vertical;
}

button {
  border: none;
  border-radius: 99px;
  color: white;
  background: #1d90f5;
  cursor: pointer;
  transition: 0.3s;
}

button:hover,
button:focus {
  outline: none;
  background: #1c70d3;
}

button:disabled {
  cursor: not-allowed;
  background: #555b69;
}

.success,
.error {
  text-align: center;
}

.success {
  color: greenyellow;
}

.error {
  color: tomato;
}

